## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pyconify

# Tests require network, so make sure network is enabled
%bcond tests 0

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %{autorelease}
Summary:        Iconify for Python - universal icon framework

%global forgeurl https://github.com/pyapp-kit/pyconify
%global tag v%{version}
%forgemeta

License:        BSD-3-Clause
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# For hatch-vcs
BuildRequires:  git-core
%if %{with tests}
# Test dependencies
BuildRequires:  %{py3_dist pytest}
%endif

%global _description %{expand:
Python wrapper for the Iconify API.

Iconify is a versatile icon framework that includes 100+ icon sets with
more than 100,000 icons from FontAwesome, Material Design Icons,
DashIcons, Feather Icons, EmojiOne, Noto Emoji and many other open
source icon sets.

Search for icons at: https://icon-sets.iconify.design}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1 -S git

# Make sure this is the last step in prep
git tag v%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%if %{with tests}
# All tests require network for testing the Iconify API.
# So, we rely on upstreams testing and occasional network enabled builds.
%pytest -v
%else
%pyproject_check_import
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Feb 06 2025 Packit <hello@packit.dev> - 0.2.1-1
- Update to 0.2.1 upstream release
- Resolves: rhbz#2344208

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.6-2
- Rebuilt for Python 3.13

* Sat Mar 16 2024 Sandro <devel@penguinpee.nl> - 0.1.6-1
- Initial release (RHBZ#2268680)
- Iconify for Python - universal icon framework
## END: Generated by rpmautospec
